Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_GUIFileParser

GUI File Parser Class
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_GUIFileParser` | `(`const` `std::string`& `filename`, `CL_InputSource`* `input`)`;

### Attributes:

`component_map_t&` | `get_components` | `()`;
`component_sort_map_t&` | `get_sorted_components` | `()`;
`globals_t&` | `globals` | `()`;

### private function member index:

### Implementation:

``void`` | `parse` | `()`;
``std::string`` | `preprocess_templates` | `()`;
``std::string`` | `concatenate_stringlist` | `(`std::list`<`std::string`>& `expression`)`;
``std::string`` | `evaluate_expression` | `(`std::list`<`std::string`>& `expression`)`;
``CL_ComponentType`*` | `is_component_type` | `(`const` `std::string`& `tok`)`;

## Description:

## Function Member Descriptions:

CL_GUIFileParser::CL_GUIFileParser - File Parser Constructor
`` `CL_GUIFileParser` `(`const` `std::string`& `filename`, `CL_InputSource`* `input`)`;

## Variable Member Descriptions: